ClarisWksStyleManager::KSEN Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksStyleManager::KSEN Struct Reference

the KSEN structure a structure related to paragraph and cell style More...

`#include <ClarisWksStyleManager.hxx>`

## Public Member Functions
| KSEN ()
| constructor More...

## Public Attributes
int | m_valign
| the vertical alignment More...
MWAWBorder::Style | m_lineType
| the line type More...
MWAWBorder::Type | m_lineRepeat
| the line repetition More...
int | m_lines
| an int used to add some oblique line ( or cross ) More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, KSEN const &ksen)
| operator<< More...

## Detailed Description

the KSEN structure a structure related to paragraph and cell style

## Constructor & Destructor Documentation

## § KSEN()

ClarisWksStyleManager::KSEN::KSEN | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | ClarisWksStyleManager::KSEN const & | ksen
| ) |  |
| friend

operator<<

## Member Data Documentation

## § m_extra

std::string ClarisWksStyleManager::KSEN::m_extra

extra data

Referenced by operator<<(), and ClarisWksStyleManager::readKSEN().

## § m_lineRepeat

MWAWBorder::Type ClarisWksStyleManager::KSEN::m_lineRepeat

the line repetition

Referenced by operator<<(), ClarisWksStyleManager::readKSEN(), and ClarisWksTableInternal::TableCell::update().

## § m_lines

int ClarisWksStyleManager::KSEN::m_lines

an int used to add some oblique line ( or cross )

Referenced by operator<<(), ClarisWksStyleManager::readKSEN(), and ClarisWksTable::readTableCells().

## § m_lineType

MWAWBorder::Style ClarisWksStyleManager::KSEN::m_lineType

the line type

Referenced by operator<<(), ClarisWksStyleManager::readKSEN(), and ClarisWksTableInternal::TableCell::update().

## § m_valign

int ClarisWksStyleManager::KSEN::m_valign

the vertical alignment

Referenced by operator<<(), ClarisWksStyleManager::readKSEN(), and ClarisWksTable::readTableCells().

The documentation for this struct was generated from the following file:

- ClarisWksStyleManager.hxx